Update Priority
Note
All other parameters, beyond SelectionAlgorithm under Create Priority, can be updated. Make sure to include weight or name, as those will be replaced with null otherwise.
Warning
SelectionAlgorithm cannot be updated after the priority is created.
Clearing attribute values
To unset or clear an attribute, set its value to NULL.
Parameters
priorityId
int32
required
The Priority's IDid
int32
required
The Priority's IDchannelId
int32
required
The Channel's IDname
string
required
Friendly name of Priorityweight
int32
required
The priority order within the channel. 1-100, 1 is highest priorityisDeleted
boolean
If want to delete, set totruesecondPriceGroupBy
string
Defaults to null
Sets whether ads in a second-priced auction should not second price against the same:advertiser,campaign,flight, orad. Default isnull, which is equivalent toadvertiser. Can only be set whenIsSecondPricingis true
Response Structure
200 200
object
- **id**
integer
Defaults to 0
- **name**
string
- **channelId**
integer
Defaults to 0
- **weight**
integer
Defaults to 0
- **isDeleted**
boolean
Defaults to true
- **selectionAlgorithm**
integer
Defaults to 0
Example
curl -X PUT -H "X-Adzerk-ApiKey:$ADZERK_API_KEY" -H "Content-Type:application/json" "https://api.kevel.co/v1/priority/98765" --data-binary '{"Id":98765,"Name":"High Priority","ChannelId":12345,"Weight":11,"IsDeleted":"false"}'
Response Example
{
"id": 98765,
"name": "High Priority",
"channelId": 12345,
"weight": 10,
"isDeleted": false,
"selectionAlgorithm": 0
}